import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class TappyPlane here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class TappyPlane extends World {
    public static final int GAP = 200;
    private Plane plane;
    private Rock rockDown;
    private Rock rockUp;
    private Rock rockDownHitBox;
    private Rock rockUpHitBox;
    private int score;
    /**
     * Constructor for objects of class MyWorld.
     * 
     */
    public TappyPlane() {    
        // Create a new world with 600x700 cells with a cell size of 1x1 pixels.
        super(600, 700, 1, false);  // make world unbounded
        plane = new Plane();
        addObject(plane, 100, 300);
        rockDown = new RockDown();
        addObject(rockDown, 550, 0);
        rockUp = new RockUp();
        addObject(rockUp, 550, rockDown.getY() + rockDown.getImage().getHeight() + GAP);
        score = 0;
        rockDownHitBox = new RockDownHitBox();
        addObject(rockDownHitBox, rockDown.getX() + 6, rockDown.getY());
        rockUpHitBox = new RockUpHitBox();
        addObject(rockUpHitBox, rockUp.getX() + 10, rockUp.getY() + 20);
        setPaintOrder(RockDown.class, RockUp.class, RockHitBox.class);
        Greenfoot.setSpeed(50);
    }
    
    public void act() {
        if (plane.isAlive() && rockDown.getX() <= 0) {
            score++;
            resetRocks();
        }
        showText(score + "", 20, 20);       
    }
    
    public void resetRocks() {
        int rand = Greenfoot.getRandomNumber(200);
        rockDown.setLocation(600, rand);
        rockUp.setLocation(600, rockDown.getY() + rockDown.getImage().getHeight() + GAP);
        rockDownHitBox.setLocation(rockDown.getX() + 6, rockDown.getY());
        rockUpHitBox.setLocation(rockUp.getX()+10, rockUp.getY() + 20);
    }
}




